Bug 128007 - problem with Epson Aculaser c4000 or missing alc4000 ghostscript driver.
problem with Epson Aculaser c4000 or missing alc4000 ghostscript driver.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-16 08:06 EDT by Ronny Aasen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 7.07-30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-20 07:07:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ronny Aasen 2004-07-16 08:06:05 EDT
Description of problem:
unable to print using cups on a Epson AcuLaser C4000 laser printer.


Version-Release number of selected component (if applicable):
ghostscript-7.07-25

How reproducible:
select epson c4000 in cups web interface, tr to print.


Steps to Reproduce:
1.install Epson Aculaser C4000 printer with cups system
2.try to print 

  
Actual results:
no printout

Expected results:
printout

Additional info:
gs -h don't show the alc4000, it shows alc2000 and alc8500.
the C2000 works normaly

if i try to print on the printer with the ljet driver it prints in 
monocrome.

cups error log show 
D [14/Jul/2004:09:22:50 +0200] [Job 37] renderer PID kid4=5274
D [14/Jul/2004:09:22:50 +0200] [Job 37] renderer command: gs -q -
dBATCH -dPARANOIDSAFER -dNOPAUSE -sDEVICE=alc4000 -dCasset=2 -
r600x600 -dNumCopies=1   -sOutputFile=- -
D [14/Jul/2004:09:22:50 +0200] [Job 37] perl: warning: Setting locale 
failed.
D [14/Jul/2004:09:22:50 +0200] [Job 37] perl: warning: Please check 
that your locale settings:
D [14/Jul/2004:09:22:50 +0200] [Job 37] LANGUAGE = (unset),
D [14/Jul/2004:09:22:50 +0200] [Job 37] LC_ALL = (unset),
D [14/Jul/2004:09:22:50 +0200] [Job 37] LANG = "c-"
D [14/Jul/2004:09:22:50 +0200] [Job 37] are supported and installed 
on your system.
D [14/Jul/2004:09:22:50 +0200] [Job 37] perl: warning: Falling back 
to the standard locale ("C").
D [14/Jul/2004:09:22:50 +0200] [Job 37] foomatic-gswrapper: gs '-
dBATCH' '-dPARANOIDSAFER' '-dNOPAUSE' '-sDEVICE=alc4000' '-dCasset=2' 
'-r600x600' '-dNumCopies=1' '-sOutputFile=| cat >&3' '/dev/fd/0' 3>&1 
1>&2
D [14/Jul/2004:09:22:51 +0200] [Job 37] GNU Ghostscript 7.07 (2003-
05-17)
D [14/Jul/2004:09:22:51 +0200] [Job 37] Copyright (C) 2003 artofcode 
LLC, Benicia, CA.  All rights reserved.
D [14/Jul/2004:09:22:51 +0200] [Job 37] This software comes with NO 
WARRANTY: see the file PUBLIC for details.
D [14/Jul/2004:09:22:51 +0200] [Job 37] Unknown device: alc4000
D [14/Jul/2004:09:22:51 +0200] [Job 37] renderer return value: 1
D [14/Jul/2004:09:22:51 +0200] [Job 37] renderer received signal: 1
D [14/Jul/2004:09:22:51 +0200] [Job 37] tail process done writing 
data to STDOUT
D [14/Jul/2004:09:22:51 +0200] [Job 37] KID4 finished
D [14/Jul/2004:09:22:51 +0200] [Job 37]
D [14/Jul/2004:09:22:51 +0200] [Job 37] Closing renderer
D [14/Jul/2004:09:22:51 +0200] [Job 37] KID4 exited with status 0
D [14/Jul/2004:09:22:51 +0200] [Job 37] KID3 exited with status 3
D [14/Jul/2004:09:22:51 +0200] [Job 37] Renderer exit stat: 3
D [14/Jul/2004:09:22:51 +0200] [Job 37] Process dying with "Possible 
error on renderer command line or PostScript error. Check options.", 
exit stat: 3
D [14/Jul/2004:09:22:51 +0200] [Job 37] Possible error on renderer 
command line or PostScript error. Check options.
D [14/Jul/2004:09:22:51 +0200] [Job 37] Renderer process finished
D [14/Jul/2004:09:22:51 +0200] [Job 37] Killing process 5273 (KID3)
D [14/Jul/2004:09:22:51 +0200] [Job 37] Process dying with "Error 
closing renderer", exit stat: 3
D [14/Jul/2004:09:22:51 +0200] [Job 37] Error closing renderer
E [14/Jul/2004:09:22:51 +0200] PID 5271 stopped with status 3!
D [14/Jul/2004:09:22:51 +0200] [Job 37] Getting supported attributes.
..
D [14/Jul/2004:09:22:51 +0200] [Job 37] document-format-supported (1 
values)
D [14/Jul/2004:09:22:51 +0200] [Job 37] [0] = "text/plain"
D [14/Jul/2004:09:22:51 +0200] [Job 37] printer-uri = "ipp://10.0.0.
251:631/EPSON_IPP_Printer"
D [14/Jul/2004:09:22:51 +0200] [Job 37] requesting-user-name = "root"
D [14/Jul/2004:09:22:51 +0200] [Job 37] job-name = "testprint.ps"
D [14/Jul/2004:09:22:51 +0200] UpdateJob: job 37, file 0 is complete.
Comment 1 Tim Waugh 2004-07-16 11:06:33 EDT
Thanks for the report.  Does the 'hpijs' driver produce any better
result than ljet4?
Comment 2 Tim Waugh 2004-07-20 07:07:04 EDT
ghostscript-7.07-30 will have the driver for this printer.

Note You need to log in before you can comment on or make changes to this bug.